DHCPLEASECTL(8)

NAME
dhcpleasectl - control the dhcpleased daemon

SYNOPSIS
dhcpleasectl [-s socket] command [argument ...]

DESCRIPTION
The dhcpleasectl program controls the dhcpleased(8) daemon.

The following options are available:

-s socket
    Use socket instead of the default /dev/dhcpleased.sock to communicate with dhcpleased(8).

The following commands are available:

log brief
    Disable verbose debug logging.

log verbose
    Enable verbose debug logging.

send request interfacename
    Send a DHCP request on interface interfacename to force a renew of the lease.

show interface [interfacename]
    Display status about network interfaces. If interfacename is specified, only information relative to interfacename is shown. Otherwise information on all interfaces is shown.

FILES
/dev/dhcpleased.sock
    UNIX-domain socket used for communication with dhcpleased(8).

SEE ALSO
dhcpleased(8)

HISTORY
The dhcpleasectl program first appeared in OpenBSD 6.9.